Bug 445148 - Chainloader can't boot partition with 256 byte inodes. [NEEDINFO]
Chainloader can't boot partition with 256 byte inodes.
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: grub (Show other bugs)
9
i686 Linux
low Severity medium
: ---
: ---
Assigned To: Peter Jones
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-04 15:46 EDT by charles harris
Modified: 2009-07-14 12:09 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 12:09:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
esandeen: needinfo? (charlesr.harris)


Attachments (Terms of Use)

  None (edit)
Description charles harris 2008-05-04 15:46:26 EDT
Description of problem:

After replacing the old grub on the mbr with the patched version in f9 preview I
am able to directly boot f9, but I can't use the chainloader to boot grub on the
f9 partition.

Version-Release number of selected component (if applicable):

The patched and unpatched grub have the same versions. This is also a bug, IMHO.

How reproducible:

100%


Steps to Reproduce:
1. Install f9 on partition
2. Install boot loader on same partition
3. Try to boot from MBR using chainloader
  
Actual results:
Non executable code.

Expected results:
It boots.
Additional info:
Comment 1 Bug Zapper 2008-05-14 06:38:06 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Eric Sandeen 2009-05-04 15:05:47 EDT
Is this still a problelm w/ recent grub?

Thanks,
-Eric
Comment 3 Bug Zapper 2009-06-09 20:36:44 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Eric Sandeen 2009-06-09 21:58:04 EDT
Charles, do you know if this is still a problem?
Comment 5 Bug Zapper 2009-07-14 12:09:33 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.